import warnings


class APIResponse(dict):
    """Kraken api response wrapper."""

    # override
    def __init__(self, result, meta):
        result['meta'] = meta
        super(APIResponse, self).__init__(result)

    # override
    def __getitem__(self, key):
        if key == 'result':
            return self
        elif key == 'error':
            warnings.warn('deprecated', DeprecationWarning)
            return []
        return super(APIResponse, self).__getitem__(key)

    def __getattr__(self, attr):
        if attr in super(APIResponse, self).__getitem__('meta').keys():
            return super(APIResponse, self).__getitem__('meta')[attr]
        raise AttributeError('%r object has no attribute %r' % (self.__class__.__name__, attr))
