import unittest

from krake.config import load_config, _check_key_name, _os_env_name


class ConfigTestCase(unittest.TestCase):

    def test_check_key_name(self):
        for name, expected in [('key', True),
                               ('key_key', True),
                               ('key_', False),
                               ('_key', False),
                               ('Key', False)]:
            self.assertEqual(_check_key_name(name), expected)

    def test_os_env_name(self):
        for name, expected in [('key', 'KRAKE_KEY'),
                               ('key_key', 'KRAKE_KEY_KEY')]:
            self.assertEqual(_os_env_name(name), expected)
